libzypp: zypp::ZConfig::Impl::MultiversionMap Struct Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
zypp::ZConfig::Impl::MultiversionMap Struct Reference

## Public Types
typedef std::map< Pathname, MultiversionSpec > | SpecMap

## Public Member Functions
MultiversionSpec & | getSpec (Pathname root_r, const Impl &zConfImpl_r)
MultiversionSpec & | getDefaultSpec ()

## Private Member Functions
void | scanConfAt (const Pathname root_r, MultiversionSpec &spec_r, const Impl &zConfImpl_r)
void | scanDirAt (const Pathname root_r, MultiversionSpec &spec_r, const Impl &zConfImpl_r)

## Private Attributes
SpecMap | _specMap

## Detailed Description

Definition at line 718 of file ZConfig.cc.

## Member Typedef Documentation

## ◆ SpecMap

typedef std::map<Pathname,MultiversionSpec> zypp::ZConfig::Impl::MultiversionMap::SpecMap

Definition at line 720 of file ZConfig.cc.

## Member Function Documentation

## ◆ getSpec()

MultiversionSpec& zypp::ZConfig::Impl::MultiversionMap::getSpec | ( | Pathname | root_r,
|  | const Impl & | zConfImpl_r
| ) |  |
| inline

Definition at line 722 of file ZConfig.cc.

## ◆ getDefaultSpec()

MultiversionSpec& zypp::ZConfig::Impl::MultiversionMap::getDefaultSpec | ( |  | ) |
| inline

Definition at line 746 of file ZConfig.cc.

## ◆ scanConfAt()

void zypp::ZConfig::Impl::MultiversionMap::scanConfAt | ( | const Pathname | root_r,
|  | MultiversionSpec & | spec_r,
|  | const Impl & | zConfImpl_r
| ) |  |
| inlineprivate

Definition at line 750 of file ZConfig.cc.

## ◆ scanDirAt()

void zypp::ZConfig::Impl::MultiversionMap::scanDirAt | ( | const Pathname | root_r,
|  | MultiversionSpec & | spec_r,
|  | const Impl & | zConfImpl_r
| ) |  |
| inlineprivate

Definition at line 766 of file ZConfig.cc.

## Member Data Documentation

## ◆ _specMap

SpecMap zypp::ZConfig::Impl::MultiversionMap::_specMap
| private

Definition at line 791 of file ZConfig.cc.

The documentation for this struct was generated from the following file:

- zypp/ZConfig.cc